Subject: Re: [PATCHv3] gitweb: make static files accessible with PATH_INFO

From: Jakub Narebski <[email-masked]>
Date: Wed, 28 Jan 2009 01:58:44 +0100

Jakub Narebski wrote:
> On Wed, 28 Jan 2009, Giuseppe Bilotta wrote:
> > On Wed, Jan 28, 2009 at 1:14 AM, Jakub Narebski <[email-masked]> wrote:
> > > On Tue, 27 Jan 2009, Giuseppe Bilotta wrote:
> 
> > > > Of course, last time I forgot that the BASE href is supposed to be
> > > > absolute. While Opera apparently has no problem with it being relative,
> > > > other browsers such as Firefox are stricter about it.
> > >
> > > Errrr... I think you are talking about _full_ vs. _absolute_, not
> > > _absolute_ vs. _relative_, see below.
> > 
> > No, I actually mean absolute vs relative in the URI sense, not in the
> > Perl/CGI sense.
> > 
> > http://www.example.com/ is absolute, / is relative
> 
> No, "/" is not relative, it is absolute, because it begins with '/'.

Ooops, sorry, I mistook absolute _path_ for absolute _URL_. 
Nevertheless path beginning with "/" inherits only net_loc (host).

-- 
Jakub Narebski
Poland